﻿
Partial Class Default2
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs)

        WebDataGrid1.DataSource = MakeTable()
        WebDataGrid1.DataBind()

        If IsPostBack Then
            Dim h As Integer
            Dim gH As String = gHeight.Value.Remove(gHeight.Value.Length - 3, 2)
            Int32.TryParse(gH, h)
            WebDataGrid1.Height = h

            Dim w As Integer
            Dim gW As String = gWidth.Value.Remove(gWidth.Value.Length - 3, 2)
            Int32.TryParse(gW, w)
            WebDataGrid1.Width = w
        End If
    End Sub

    Private Function MakeTable() As System.Data.DataTable
        ' Create a new DataTable.
        Dim table As System.Data.DataTable = New DataTable("Table")
        ' Declare variables for DataColumn and DataRow objects.
        Dim column As DataColumn
        Dim row As DataRow

        ' Create new DataColumn, set DataType, 
        ' ColumnName and add to DataTable.    
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.Int32")
        column.ColumnName = "id"
        column.[ReadOnly] = True
        ' Add the Column to the DataColumnCollection.
        table.Columns.Add(column)

        ' Create second column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.String")
        column.ColumnName = "Item"
        column.AutoIncrement = False
        column.Caption = "Item"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table. 
        table.Columns.Add(column)

        ' Create third column.
        column = New DataColumn()
        column.DataType = System.Type.[GetType]("System.String")
        column.ColumnName = "Data"
        column.AutoIncrement = False
        column.Caption = "Data"
        column.[ReadOnly] = False
        column.Unique = False
        ' Add the column to the table.
        table.Columns.Add(column)


        ' Make the ID column the primary key column.
        Dim PrimaryKeyColumns As DataColumn() = New DataColumn(0) {}
        PrimaryKeyColumns(0) = table.Columns("id")
        table.PrimaryKey = PrimaryKeyColumns



        For i As Integer = 0 To 20
            row = table.NewRow()
            row("id") = i
            row("Item") = "Item " & i
            row("Data") = "Data " & i
            table.Rows.Add(row)
        Next
        Return table

    End Function
End Class
